• Партнер

  • Разработчики компания SonicWall выпустили исправления для критической SQL-инъекции (SQLi), которая представляет угрозу для продуктов Analytics On-Prem и Global Management System (GMS). Баг получил оценку 9,4 балла по шкале CVSS и позволяет удаленному злоумышленнику выполнять произвольные SQL-запросы.

    Уязвимость получила идентификатор CVE-2022-22280 и связана с некорректной нейтрализацией специальных элементов, используемых в SQL-команде, что в итоге может привести к инъекции. Баг относится к разряду критических, так как его можно использовать удаленно, он не требует аутентификации или взаимодействия с пользователем, а осуществить атаку совсем несложно.

    Проблема затрагивает Analytics On-Prem версий 2.5.0.3-2520 и более ранних, а также GMS версий 9.3.1-SP2-Hotfix1 (включительно). Для исправления проблемы следует обновить Analytics On-Prem до версии 2.5.0.3-2520-Hotfix1, а GMS до 9.3.1-SP2-Hotfix-2.

    Специалисты говорят, что пока им неизвестно об атаках на эту проблему, равно как и о существовании PoC-эксплоитов для нее. Тем не менее, в компании предупредили, что обходных путей для исправления бага не существует, хотя вероятность его эксплуатации и может быть снижена за счет включения WAF и блокировки попыток SQLi.

    Подписаться
    Уведомить о
    0 комментариев
    Межтекстовые Отзывы
    Посмотреть все комментарии